[Tux4kids-commits] r39 - tuxmath/trunk

dbruce at alioth.debian.org dbruce at alioth.debian.org
Thu Mar 8 21:13:08 CET 2007


Author: dbruce
Date: 2006-10-02 20:25:15 +0000 (Mon, 02 Oct 2006)
New Revision: 39

Added:
   tuxmath/trunk/mkinstalldirs
Log:
added trunk/mkinstalldirs


Added: tuxmath/trunk/mkinstalldirs
===================================================================
--- tuxmath/trunk/mkinstalldirs	2006-10-02 20:22:25 UTC (rev 38)
+++ tuxmath/trunk/mkinstalldirs	2006-10-02 20:25:15 UTC (rev 39)
@@ -0,0 +1,40 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman at prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+# $Id: mkinstalldirs,v 1.13 1999/01/05 03:18:55 bje Exp $
+
+errstatus=0
+
+for file
+do
+   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+   shift
+
+   pathcomp=
+   for d
+   do
+     pathcomp="$pathcomp$d"
+     case "$pathcomp" in
+       -* ) pathcomp=./$pathcomp ;;
+     esac
+
+     if test ! -d "$pathcomp"; then
+        echo "mkdir $pathcomp"
+
+        mkdir "$pathcomp" || lasterr=$?
+
+        if test ! -d "$pathcomp"; then
+  	  errstatus=$lasterr
+        fi
+     fi
+
+     pathcomp="$pathcomp/"
+   done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here


Property changes on: tuxmath/trunk/mkinstalldirs
___________________________________________________________________
Name: svn:executable
   + *




More information about the Tux4kids-commits mailing list